require 'cloud66_agent/utils/server'

module Cloud66
	module Commands
		class JobEnd
			def self.perform(job_uid, run_uid, run_status, run_time, results_file)
				run_data = File.exists?(results_file) ? IO.readlines(results_file) : []
				data = {
					run_uid: run_uid,
					run_status: run_status,
					run_time: run_time,
					run_data: run_data
				}
				Utils::Server.send_job_end(job_uid, data)
			rescue => exc
				$logger.error "Command \"job_end\" failed: #{exc.message}"
				exit -1
			ensure
				# get rid of the old results
				FileUtils.rm_rf(results_file) rescue nil
			end

		end
	end
end